---
page_title: Order Status
product: API Reference
page_source: https://juspay.io/in/docs/api-reference/docs/payout/order-status
openapi: https://juspay.io/in/docs/api/swagger?document=https%3A%2F%2Fjuspay.io%2Fin%2Fdocs%2Fapi-reference%2Fdocs%2Fpayout%2Forder-status
llms_txt: https://juspay.io/in/docs/llms.txt
product_llms_txt: https://juspay.io/in/docs/api-reference/llms.txt
---

## API Version: default


# Order Status



API is used to fetch the current status of payout created. Possible values for the order status 


| Status | Details | Action |
|---|---|---|
| READY_FOR_FULFILLMENT | Request received by Juspay | Pending |
| FULFILLMENTS_SCHEDULED | Task added to scheduler and will be picked up | Pending |
| FULFILLMENTS_FAILURE | All transaction attempts have failed | Failure |
| FULFILLMENTS_SUCCESSFUL | Fulfillment completed successfully | Success |
| FULFILLMENTS_CANCELLED | Fulfillment cancelled by merchant from Dashboard  | Failure |
| FULFILLMENTS_MANUAL_REVIEW | Any one of the Fulfillment is in MANUAL_REVIEW | To be reviewed with bank |
## Endpoints:
- Sandbox: https://sandbox.juspay.in/payout/merchant/v1/orders/:orderId?expand=fulfillment,payment,refund

- Production: https://api.juspay.in/payout/merchant/v1/orders/:orderId?expand=fulfillment,payment,refund

## Request Type: 
GET

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string
- Value:  Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: String, Mandatory
## Headers:

#### x-merchantid:
Pass merchant-id provided by Juspay
- Tags: string

#### x-routing-id:
We recommend passing the customer_id as the x-routing-id. If the customer is checking out as a guest, you can pass an alternative ID that helps track the payment session lifecycle. For example, this could be an Order ID or Cart ID.

> **Warning**
> This ID is associated with the customer. It plays a key role in ensuring consistency and maintaining connections across different systems. If you fail to pass the same x-routing-id for the same customer in all related API calls, it could lead to issues with API functionality. Therefore, it’s crucial that you use the same x-routing-id for all requests tied to the same customer.


- Value: customer_1122
- Tags: String, Required
## Sample Code Snippets:
### Sample Request:

#### Request Code Snippet:

```request
curl --location 'https://sandbox.juspay.in/payout/merchant/v1/orders/:orderId?expand=fulfillment%2Cpayment%2Crefund' \
--header 'Content-Type: application/json' \
--header 'x-routing-id: customer_1122'\
--header 'x-merchantid: <merchant id>' \
--header 'Authorization: Basic (b64 encoded API key)'

```

### Sample Response:

#### FULFILLMENTS_SCHEDULED (Response - 200 for IMPS Payout):
```json
{
    "updatedAt": "2023-12-27T09:45:38Z",
    "type": "FULFILL_ONLY",
    "status": "FULFILLMENTS_SCHEDULED",
    "refunds": [],
    "payments": [],
    "orderId": "1703670338",
    "fulfillments": [
        {
            "updatedBy": "DEFAULT",
            "updatedAt": "2023-12-27T09:45:38Z",
            "type": "ORDER",
            "transactions": [
                {
                    "updatedAt": "2023-12-27T09:45:38Z",
                    "transactionRef": "3d9fc265e12488f999c92e7b40589d",
                    "timeStamp": "2023-12-27T09:45:38Z",
                    "status": "INITIATED",
                    "fulfillmentMethod": "DUMMY_IMPS",
                    "createdAt": "2023-12-27T09:45:38Z",
                    "amount": 1
                }
            ],
            "statusUpdatedAt": "2023-12-27T09:45:38Z",
            "status": "PENDING",
            "merchantCustomerId": "cth_59Yibs1JauYP6WJP",
            "id": "f46f9b8d843416e8c746c3e306a5f4-f1",
            "fulfillmentMethodList": [
                "DUMMY_IMPS"
            ],
            "createdAt": "2023-12-27T09:45:38Z",
            "beneficiaryDetails": {
                "details": {
                    "name": "Aditya Kadrolkar",
                    "ifsc": "YESB0000262",
                    "account": "026291800001191"
                },
                "type": "ACCOUNT_IFSC"
            },
            "amount": 1,
            "additionalInfo": {
                "remark": "Payout Transaction"
            }
        }
    ],
    "customerId": "cth_59Yibs1JauYP6WJP",
    "createdAt": "2023-12-27T09:45:38Z",
    "amount": 1
}
```

#### FULFILLMENTS_SUCCESSFUL (Response - 200 for IMPS Payout):
```json
{
    "updatedAt": "2025-03-27T07:29:21Z",
    "type": "FULFILL_ONLY",
    "status": "FULFILLMENTS_SUCCESSFUL",
    "orderId": "Aer20fGKfzynlosQ",
    "fulfillments": [
        {
            "updatedBy": "DEFAULT",
            "updatedAt": "2025-03-27T07:29:21Z",
            "type": "ORDER",
            "transactions": [
                {
                    "updatedAt": "2025-03-27T07:29:21Z",
                    "txnResponse": {
                        "status": "SUCCESS",
                        "requestId": "c2baa2975da4e3989ba33b5d2df1fd",
                        "amount": 1.25
                    },
                    "transactionRef": "c2baa2975da4e3989ba33b5d2df1fd",
                    "timeStamp": "2025-03-27T07:29:21Z",
                    "status": "SUCCESS",
                    "responseMessage": "Amount Lies In Success Range.",
                    "responseCode": "SUCCESS",
                    "gatewayRefId": "544944873589",
                    "fulfillmentMethod": "DUMMY_IMPS",
                    "epgTxnId": "c2baa2975da4e3989ba33b5d2df1fd",
                    "createdAt": "2025-03-27T07:29:21Z",
                    "amount": 1.25
                }
            ],
            "statusUpdatedAt": "2025-03-27T07:29:21Z",
            "status": "SUCCESS",
            "merchantCustomerId": "ce1d3404-dc3d-4886-a46e-43a48ddd0324",
            "id": "9669d1313de4921b706d7eab68b48a-f1",
            "fulfillmentMethodList": [
                "DUMMY_IMPS"
            ],
            "createdAt": "2025-03-27T07:29:20Z",
            "beneficiaryDetails": {
                "details": {
                    "name": "Shubham Kumar",
                    "ifsc": "YESB0000262",
                    "account": "123XXXXX889"
                },
                "type": "ACCOUNT_IFSC"
            },
            "amount": 1.25
        }
    ],
    "customerId": "ce1d3404-dc3d-4886-a46e-43a48ddd0324",
    "createdAt": "2025-03-27T07:29:20Z",
    "amount": 1.25
}
```

#### FULFILLMENTS_MANUAL_REVIEW (Response - 200 for IMPS Payout):
```JSON
{
    "updatedAt": "2023-12-27T12:19:38Z",
    "type": "FULFILL_ONLY",
    "status": "FULFILLMENTS_MANUAL_REVIEW",
    "refunds": [],
    "payments": [],
    "orderId": "1703679080",
    "fulfillments": [
        {
            "updatedBy": "DEFAULT",
            "updatedAt": "2023-12-27T12:19:38Z",
            "type": "ORDER",
            "transactions": [
                {
                    "updatedAt": "2023-12-27T12:19:23Z",
                    "txnResponse": {
                        "status": "PENDING",
                        "requestId": "7cad5ae77f44b37b252dd0b0a4e678",
                        "amount": 21
                    },
                    "transactionRef": "7cad5ae77f44b37b252dd0b0a4e678",
                    "timeStamp": "2023-12-27T12:19:23Z",
                    "status": "INITIATED",
                    "gatewayRefId": "7cad5ae77f44b37b252dd0b0a4e678",
                    "fulfillmentMethod": "DUMMY_IMPS",
                    "createdAt": "2023-12-27T12:16:30Z",
                    "amount": 21
                }
            ],
            "statusUpdatedAt": "2023-12-27T12:19:38Z",
            "status": "MANUAL_REVIEW",
            "merchantCustomerId": "cth_59Yibs1JauYP6WJP",
            "id": "c712639d4624864b7ab47e9ba0ded7-f1",
            "fulfillmentMethodList": [
                "DUMMY_IMPS"
            ],
            "createdAt": "2023-12-27T12:11:21Z",
            "beneficiaryDetails": {
                "details": {
                    "name": "Aditya Kadrolkar",
                    "ifsc": "YESB0000262",
                    "account": "026291800001191"
                },
                "type": "ACCOUNT_IFSC"
            },
            "amount": 21,
            "additionalInfo": {
                "remark": "Payout Transaction"
            }
        }
    ],
    "customerId": "cth_59Yibs1JauYP6WJP",
    "createdAt": "2023-12-27T12:11:20Z",
    "amount": 21
}
```

#### FULFILLMENTS_FAILURE (Response - 200 for IMPS Payout):
```json
{
    "updatedAt": "2023-12-27T12:24:28Z",
    "type": "FULFILL_ONLY",
    "status": "FULFILLMENTS_FAILURE",
    "refunds": [],
    "payments": [],
    "orderId": "1703679781",
    "fulfillments": [
        {
            "updatedBy": "DEFAULT",
            "updatedAt": "2023-12-27T12:24:28Z",
            "type": "ORDER",
            "transactions": [
                {
                    "updatedAt": "2023-12-27T12:24:06Z",
                    "txnResponse": {
                        "status": "FAILURE",
                        "requestId": "665d82f25ca46d0b759e420ee4101f",
                        "amount": 104
                    },
                    "transactionRef": "665d82f25ca46d0b759e420ee4101f",
                    "timeStamp": "2023-12-27T12:24:06Z",
                    "status": "FAILURE",
                    "responseMessage": "Amount Lies In Failure Range.",
                    "responseCode": "FAILURE",
                    "gatewayRefId": "544944873589",
                    "fulfillmentMethod": "DUMMY_IMPS",
                    "epgTxnId": "665d82f25ca46d0b759e420ee4101f",
                    "createdAt": "2023-12-27T12:23:01Z",
                    "amount": 104
                }
            ],
            "statusUpdatedAt": "2023-12-27T12:24:28Z",
            "status": "FAILURE",
            "merchantCustomerId": "cth_59Yibs1JauYP6WJP",
            "id": "bbeef26a7b64a73813c2b7b9db7ef2-f1",
            "fulfillmentMethodList": [
                "DUMMY_IMPS"
            ],
            "createdAt": "2023-12-27T12:23:01Z",
            "beneficiaryDetails": {
                "details": {
                    "name": "Aditya Kadrolkar",
                    "ifsc": "YESB0000262",
                    "account": "026291800001191"
                },
                "type": "ACCOUNT_IFSC"
            },
            "amount": 104,
            "additionalInfo": {
                "remark": "Payout Transaction"
            }
        }
    ],
    "customerId": "cth_59Yibs1JauYP6WJP",
    "createdAt": "2023-12-27T12:23:01Z",
    "amount": 104
}
```

#### FULFILLMENTS_SCHEDULED (Response - 200 for UPI Payout):
```plaintext
{
    "updatedAt": "2025-04-08T07:24:56Z",
    "type": "FULFILL_ONLY",
    "status": "FULFILLMENTS_SCHEDULED",
    "refunds": [],
    "payments": [],
    "orderId": "testpayoutupisuccesscase",
    "fulfillments": [
        {
            "updatedBy": "DEFAULT",
            "updatedAt": "2025-04-08T07:24:56Z",
            "type": "ORDER",
            "transactions": [
                {
                    "updatedAt": "2025-04-08T07:25:21Z",
                    "txnResponse": {
                        "status": "PENDING",
                        "requestId": "7373963f9e4d906f042b24311bf",
                        "amount": 4
                    },
                    "transactionRef": "7373963f9e4d906f042b24311bf",
                    "timeStamp": "2025-04-08T07:25:21Z",
                    "status": "INITIATED",
                    "gatewayRefId": "7373963f9e4d906f042b24311bf",
                    "fulfillmentMethod": "DUMMY_UPI",
                    "createdAt": "2025-04-08T07:24:56Z",
                    "amount": 4
                }
            ],
            "statusUpdatedAt": "2025-04-08T07:24:56Z",
            "status": "PENDING",
            "merchantCustomerId": "test_piyush",
            "id": "c65cb331c84dbb92b71d874e717e5-f1",
            "fulfillmentMethodList": [
                "DUMMY_UPI"
            ],
            "createdAt": "2025-04-08T07:24:56Z",
            "beneficiaryDetails": {
                "details": {
                    "vpa": "sucXXXXXupi",
                    "name": "Piyush Begwani",
                    "mobileNo": "999XXXX999"
                },
                "type": "UPI_ID"
            },
            "amount": 4,
            "additionalInfo": {
                "remark": "Payout Transaction"
            }
        }
    ],
    "customerId": "test_piyush",
    "createdAt": "2025-04-08T07:24:56Z",
    "amount": 4
}
```

#### FULFILLMENTS_SUCCESSFUL (Response - 200 for UPI Payout):
```plaintext
{
    "updatedAt": "2025-04-08T08:05:48Z",
    "type": "FULFILL_ONLY",
    "status": "FULFILLMENTS_SUCCESSFUL",
    "refunds": [],
    "payments": [],
    "orderId": "testpayoutupisuccesscase",
    "fulfillments": [
        {
            "updatedBy": "DEFAULT",
            "updatedAt": "2025-04-08T08:05:48Z",
            "type": "ORDER",
            "transactions": [
                {
                    "updatedAt": "2025-04-08T07:45:32Z",
                    "txnResponse": {
                        "status": "SUCCESS",
                        "requestId": "7373963f9e4d906f042b24311bf",
                        "amount": 4
                    },
                    "transactionRef": "7373963f9e4d906f042b24311bf",
                    "timeStamp": "2025-04-08T07:45:32Z",
                    "status": "SUCCESS",
                    "responseMessage": "Amount Lies In Success Range.",
                    "responseCode": "SUCCESS",
                    "payeeIfsc": "SAMP0000125",
                    "gatewayRefId": "7373963f9e4d906f042b24311bf",
                    "fulfillmentMethod": "DUMMY_UPI",
                    "epgTxnId": "7373963f9e4d906f042b24311bf",
                    "createdAt": "2025-04-08T07:24:56Z",
                    "amount": 4
                }
            ],
            "statusUpdatedAt": "2025-04-08T08:05:48Z",
            "status": "SUCCESS",
            "merchantCustomerId": "test_piyush",
            "id": "c65cb331c84dbb92b71d874e717e5-f1",
            "fulfillmentMethodList": [
                "DUMMY_UPI"
            ],
            "createdAt": "2025-04-08T07:24:56Z",
            "beneficiaryDetails": {
                "details": {
                    "vpa": "sucXXXXXupi",
                    "name": "Piyush Begwani",
                    "mobileNo": "999XXXX999"
                },
                "type": "UPI_ID"
            },
            "amount": 4,
            "additionalInfo": {
                "remark": "Payout Transaction"
            }
        }
    ],
    "customerId": "test_piyush",
    "createdAt": "2025-04-08T07:24:56Z",
    "amount": 4
}
```

#### FULFILLMENTS_SUCCESSFUL[Retry to success] (Response - 200 for UPI Payout):
```plaintext
{
    "updatedAt": "2025-04-08T08:56:20Z",
    "type": "FULFILL_ONLY",
    "status": "FULFILLMENTS_SUCCESSFUL",
    "refunds": [],
    "payments": [],
    "orderId": "testpayoutupi404",
    "fulfillments": [
        {
            "updatedBy": "DEFAULT",
            "updatedAt": "2025-04-08T08:56:20Z",
            "type": "ORDER",
            "transactions": [
                {
                    "updatedAt": "2025-04-08T08:56:09Z",
                    "txnResponse": {
                        "status": "SUCCESS",
                        "requestId": "3b1fe29d3704a3aac90480933cbe1",
                        "amount": 23
                    },
                    "transactionRef": "3b1fe29d3704a3aac90480933cbe1",
                    "timeStamp": "2025-04-08T08:56:09Z",
                    "status": "SUCCESS",
                    "responseMessage": "Amount Lies In Success Range.",
                    "responseCode": "SUCCESS",
                    "gatewayRefId": "3b1fe29d3704a3aac90480933cbe1",
                    "fulfillmentMethod": "DUMMY_UPI",
                    "epgTxnId": "3b1fe29d3704a3aac90480933cbe1",
                    "createdAt": "2025-04-08T08:55:19Z",
                    "amount": 23
                },
                {
                    "updatedAt": "2025-04-08T08:55:19Z",
                    "txnResponse": {
                        "status": "NOT_FOUND",
                        "requestId": "3b1fe29d3704a3aac90480933cbe1",
                        "amount": 23
                    },
                    "transactionRef": "3b1fe29d3704a3aac90480933cbe1",
                    "timeStamp": "2025-04-08T08:55:19Z",
                    "status": "FAILURE",
                    "responseMessage": "Amount Lies In Failure Range.",
                    "responseCode": "FAILURE",
                    "gatewayRefId": "3b1fe29d3704a3aac90480933cbe1",
                    "fulfillmentMethod": "DUMMY_UPI",
                    "epgTxnId": "3b1fe29d3704a3aac90480933cbe1",
                    "createdAt": "2025-04-08T08:43:43Z",
                    "amount": 23
                }
            ],
            "statusUpdatedAt": "2025-04-08T08:56:20Z",
            "status": "SUCCESS",
            "merchantCustomerId": "test_piyush",
            "id": "d0de170bd0b4b8fb210ffa14151ee0-f1",
            "fulfillmentMethodList": [
                "DUMMY_UPI"
            ],
            "createdAt": "2025-04-08T08:43:42Z",
            "beneficiaryDetails": {
                "details": {
                    "vpa": "sucXXXXXupi",
                    "name": "Piyush Begwani",
                    "mobileNo": "999XXXX999"
                },
                "type": "UPI_ID"
            },
            "amount": 23,
            "additionalInfo": {
                "remark": "Payout Transaction"
            }
        }
    ],
    "customerId": "test_piyush",
    "createdAt": "2025-04-08T08:43:42Z",
    "amount": 23
}

```

#### FULFILLMENTS_FAILURE (Response - 200 for UPI Payout):
```plaintext
{
    "updatedAt": "2025-04-08T09:04:32Z",
    "type": "FULFILL_ONLY",
    "status": "FULFILLMENTS_FAILURE",
    "refunds": [],
    "payments": [],
    "orderId": "testpayoutupifailure",
    "fulfillments": [
        {
            "updatedBy": "DEFAULT",
            "updatedAt": "2025-04-08T09:04:32Z",
            "type": "ORDER",
            "transactions": [
                {
                    "updatedAt": "2025-04-08T08:44:16Z",
                    "txnResponse": {
                        "status": "FAIL",
                        "requestId": "614e847b45f417d8377f78fdf3b49",
                        "amount": 28
                    },
                    "transactionRef": "614e847b45f417d8377f78fdf3b49",
                    "timeStamp": "2025-04-08T08:44:16Z",
                    "status": "FAILURE",
                    "responseMessage": "Amount Lies In Failure Range.",
                    "responseCode": "FAILURE",
                    "gatewayRefId": "614e847b45f417d8377f78fdf3b49",
                    "fulfillmentMethod": "DUMMY_UPI",
                    "epgTxnId": "614e847b45f417d8377f78fdf3b49",
                    "createdAt": "2025-04-08T08:42:52Z",
                    "amount": 28
                }
            ],
            "statusUpdatedAt": "2025-04-08T09:04:32Z",
            "status": "FAILURE",
            "merchantCustomerId": "test_piyush",
            "id": "4271a4a38b04785b12ec2cac982bc8-f1",
            "fulfillmentMethodList": [
                "DUMMY_UPI"
            ],
            "createdAt": "2025-04-08T08:42:52Z",
            "beneficiaryDetails": {
                "details": {
                    "vpa": "sucXXXXXupi",
                    "name": "Piyush Begwani",
                    "mobileNo": "999XXXX999"
                },
                "type": "UPI_ID"
            },
            "amount": 28,
            "additionalInfo": {
                "remark": "Payout Transaction"
            }
        }
    ],
    "customerId": "test_piyush",
    "createdAt": "2025-04-08T08:42:52Z",
    "amount": 28
}

```

#### FULFILLMENTS_CANCELLED (Response - 200 for UPI Payout):
```plaintext
{
    "updatedAt": "2025-04-08T09:06:39Z",
    "type": "FULFILL_ONLY",
    "status": "FULFILLMENTS_CANCELLED",
    "refunds": [],
    "payments": [],
    "orderId": "testpayoutupicancel",
    "fulfillments": [
        {
            "updatedBy": "DEFAULT",
            "updatedAt": "2025-04-08T09:06:39Z",
            "type": "ORDER",
            "transactions": [
                {
                    "updatedAt": "2025-04-08T08:56:21Z",
                    "txnResponse": {
                        "status": "NOT_FOUND",
                        "requestId": "c5ad72caef8471e8176dc87f0a523",
                        "amount": 23
                    },
                    "transactionRef": "c5ad72caef8471e8176dc87f0a523",
                    "timeStamp": "2025-04-08T08:56:21Z",
                    "status": "FAILURE",
                    "responseMessage": "Amount Lies In Failure Range.",
                    "responseCode": "FAILURE",
                    "gatewayRefId": "c5ad72caef8471e8176dc87f0a523",
                    "fulfillmentMethod": "DUMMY_UPI",
                    "epgTxnId": "c5ad72caef8471e8176dc87f0a523",
                    "createdAt": "2025-04-08T08:55:09Z",
                    "amount": 23
                }
            ],
            "statusUpdatedAt": "2025-04-08T09:06:39Z",
            "status": "CANCELLED",
            "merchantCustomerId": "test_piyush",
            "id": "25bd731895946beaadd03d56070cf-f1",
            "fulfillmentMethodList": [
                "DUMMY_UPI"
            ],
            "createdAt": "2025-04-08T08:55:08Z",
            "beneficiaryDetails": {
                "details": {
                    "vpa": "sucXXXXXupi",
                    "name": "Piyush Begwani",
                    "mobileNo": "999XXXX999"
                },
                "type": "UPI_ID"
            },
            "amount": 23,
            "additionalInfo": {
                "scheduleCancel": true,
                "remark": "Payout Transaction"
            }
        }
    ],
    "customerId": "test_piyush",
    "createdAt": "2025-04-08T08:55:08Z",
    "amount": 23
}
```

#### FULFILLMENTS_MANUAL_REVIEW (Response - 200 for UPI Payout):
```plaintext
{
    "updatedAt": "2025-04-08T09:23:49Z",
    "type": "FULFILL_ONLY",
    "status": "FULFILLMENTS_MANUAL_REVIEW",
    "refunds": [],
    "payments": [],
    "orderId": "testpayoutupipending",
    "fulfillments": [
        {
            "updatedBy": "DEFAULT",
            "updatedAt": "2025-04-08T09:23:49Z",
            "type": "ORDER",
            "transactions": [
                {
                    "updatedAt": "2025-04-08T08:53:30Z",
                    "txnResponse": {
                        "status": "PENDING",
                        "requestId": "af6ddc4d16a414c9e91b446535d986",
                        "amount": 21
                    },
                    "transactionRef": "af6ddc4d16a414c9e91b446535d986",
                    "timeStamp": "2025-04-08T08:53:30Z",
                    "status": "INITIATED",
                    "gatewayRefId": "af6ddc4d16a414c9e91b446535d986",
                    "fulfillmentMethod": "DUMMY_UPI",
                    "createdAt": "2025-04-08T08:41:20Z",
                    "amount": 21
                }
            ],
            "statusUpdatedAt": "2025-04-08T09:23:49Z",
            "status": "MANUAL_REVIEW",
            "merchantCustomerId": "test_piyush",
            "id": "5cb68b69ded4d1892a8b170c546691-f1",
            "fulfillmentMethodList": [
                "DUMMY_UPI"
            ],
            "createdAt": "2025-04-08T08:41:20Z",
            "beneficiaryDetails": {
                "details": {
                    "vpa": "sucXXXXXupi",
                    "name": "Piyush Begwani",
                    "mobileNo": "999XXXX999"
                },
                "type": "UPI_ID"
            },
            "amount": 21,
            "additionalInfo": {
                "remark": "Payout Transaction"
            }
        }
    ],
    "customerId": "test_piyush",
    "createdAt": "2025-04-08T08:41:20Z",
    "amount": 21
}

```

#### FULFILLMENTS_SUCCESSFUL [Payout to Mobile Number]:
```plaintext
{
    "status": "FULFILLMENTS_SUCCESSFUL",
    "amount": 1.25,
    "createdAt": "2025-04-22T08:02:08Z",
    "refunds": [],
    "customerId": "5bxxxxx4-6010-xxxx-9f0f-f3706xxxxdc6",
    "fulfillments": [
        {
            "status": "SUCCESS",
            "amount": 1.25,
            "additionalInfo": null,
            "transactions": [
                {
                    "gatewayRefId": "547811111119",
                    "status": "SUCCESS",
                    "amount": 1.25,
                    "payeeName": "TEST  .",
                    "payeeIfsc": "SBIN0123456",
                    "createdAt": "2025-04-22T08:02:08Z",
                    "fulfillmentMethod": "YESBIZ_UPI",
                    "transactionRef": "9410f35a9xxxxxxxx9a0941a1bb954",
                    "responseMessage": "Your transaction is successful",
                    "responseCode": "00",
                    "payeeMaskedAccountNumber": "XXXXX2786",
                    "epgTxnId": "YJP689xxxxxxxxc443792f0fc84cee9215e",
                    "updatedAt": "2025-04-22T08:02:10Z",
                    "timeStamp": "2025-04-22T08:02:10Z",
                    "txnResponse": {
                        "status": "SUCCESS",
                        "responseMessage": "SUCCESS",
                        "responseCode": "SUCCESS",
                        "payload": {
                            "merchantChannelId": "TESTPAYOUTAPP",
                            "gatewayResponseStatus": "SUCCESS",
                            "payeeName": "TXXXXXX.",
                            "merchantId": "TESTPAYOUT",
                            "payeeIfsc": "SBXXXXXXX56",
                            "bankAccountHash": "38XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXa5",
                            "gatewayResponseMessage": "Your transaction is successful",
                            "merchantRequestId": "9410f35a9xxxxxxxx9a0941a1bb954",
                            "gatewayResponseCode": "00",
                            "gatewayReferenceId": "547811111119",
                            "gatewayTransactionId": "YJP689xxxxxxxxc443792f0fc84cee9215e",
                            "payeeMaskedAccountNumber": "XXXXXXXX6",
                            "transactionAmount": "1.20",
                            "customerVpa": "XXXXXXXXXXXXXXXXXbi"
                        },
                        "udfParameters": "{}"
                    }
                }
            ],
            "fulfillmentMethodList": [
                "YESBIZ_UPI"
            ],
            "createdAt": "2025-04-22T08:03:08Z",
            "updatedBy": "DEFAULT",
            "statusUpdatedAt": "2025-04-22T08:03:10Z",
            "id": "72be19fbc5cxxxxxxxx24797145ad05f-f1",
            "updatedAt": "2025-04-22T08:03:10Z",
            "type": "ORDER",
            "merchantCustomerId": "5bxxxxx4-6010-xxxx-9f0f-f3706xxxxdc6",
            "beneficiaryDetails": {
                "details": {
                    "vpa": "testXXXXXXXXXXXksbi",
                    "name": "testXXXXXXXXXXXXXXXXXXXXXXXXtest",
                    "mobileNo": "999XXXX999"
                },
                "type": "UPI_ID"
            }
        }
    ],
    "updatedAt": "2025-04-22T08:02:10Z",
    "type": "FULFILL_ONLY",
    "orderId": "test-xxx-xxx-a13c",
    "payments": []
}
```

## Query Parameters:

#### expand:
fulfillment, payment, refund based on requirement.
- Tags: string
## API Responses:
### 200:

#### 200: Response Body:
- Tags: Object

#### updatedAt:
- Description: Timestamp at which order details were updated
- Tags: String

#### udf1-5:
- Description: Order level user defined fields passed in order create by the merchant
- Tags: String

#### status:
- Description: Current status of the order
- Tags: String

#### orderId:
- Description: Order ID passed by merchant in create order request
- Tags: String

#### fulfillments:
- Value:
  - **UpdatedAt**:
    - Description: Timestamp at which fulfillment details were updated
    - Tags: String
  - **Udf1-5**:
    - Description: Fulfillment level user defined fields passed by merchant
    - Tags: String
  - **Transactions**:
    - Value:
      - **UpdatedAt**:
        - Description: Timestamp at which transaction details were udpated
        - Tags: String
      - **TransactionRef**:
        - Description: Reference ID assigned by Juspay for attempting the transaction
        - Tags: String
      - **Status**:
        - Description: Current status of transaction created by the order
        - Tags: String
      - **FulfillmentMethod**:
        - Description: Combination of Gateway and Rail via which transaction is being attempted
        - Tags: String
      - **CreatedAt**:
        - Description: Timestamp at which transaction was created at Juspay end
        - Tags: String
      - **Amount**:
        - Description: Amount of payout being attempted
        - Tags: String
      - **PayeeIfsc**:
        - Description: ifsc of the payee bank.
        - Tags: String, Optional
      - **TxnResponse**:
        - Description: response recieved from the gateway
        - Tags: JSON
      - **TimeStamp**:
        - Tags: String
      - **ResponseMessage**:
        - Description: response message proivded by Juspay
        - Tags: String
      - **ResponseCode**:
        - Description: response code proivded by Juspay
        - Tags: String
      - **ResponseDescription**:
        - Description: Decription of the failure reason/error code
        - Tags: String
      - **EpgTxnId**:
        - Description: Txn_id generated by the gateway for a particualr txn
        - Tags: String
      - **GatewayRefId**:
        - Description: UTR/RRN provided by the gateway
        - Tags: String
    - Tags: Object
  - **StatusUpdatedAt**:
    - Description: Timestamp at which fulfillment order status was last updated
    - Tags: String
  - **Status**:
    - Description: Current status of the fulfillment
    - Tags: String
  - **PreferredMethodList**:
    - Description: Preferred gateways passed by merchant in create order request
    - Tags: Array of Strings
  - **MerchantCustomerId**:
    - Description: Customer ID passed by merchant in create order request
    - Tags: String
  - **Id**:
    - Description: Fulfillment ID created by Juspay for the order
    - Tags: String
  - **FulfillmentMethodList**:
    - Description: Gateways selected to attempt the fulfillment on. This will be combination of preferredMethodList and priority logic
    - Tags: Array Of Strings
  - **CreatedAt**:
    - Description: Timestamp at which fulfillment was created
    - Tags: String
  - **BeneficiaryDetails**:
    - Description: Beneficiary details passed by merchant in create order request
    - Value:
      - **Type**:
        - Description: Type of payout
        - Value: ACCOUNT_IFSC | UPI_ID | PAYOUT_LINK | BENE_ID | WALLET
        - Tags: String
      - **Details**:
        - Value:
          - **BeneData**:
            - Description: Beneficiary details submitted by the end customer for payout_link type
            - Value:
              - **Type**:
                - Value: ACC_IFSC | VPA
                - Tags: String
              - **Details**:
                - Value:
                  - **Ifsc**:
                    - Description: ifsc of the customer’s bank
                    - Tags: String
                  - **Account**:
                    - Description: account number of the customer’s bank
                    - Tags: String
                  - **Vpa**:
                    - Description: UPI_ID/VPA of the customer
                    - Tags: String
                - Tags: String
            - Tags: String
          - **Name**:
            - Description: beneficiary name passed in order create request
            - Tags: String
          - **PayoutLinks**:
            - Value:
              - **Web**:
                - Description: Short length payout_link url
                - Tags: String
              - **WebLong**:
                - Description: Long length payout_link url
                - Tags: String
            - Tags: String
          - **Link_expiry**:
            - Description: expiry time of the payout_link
            - Tags: String
          - **MobileNo**:
            - Description: beneficiary mobile number passed in order create request
            - Tags: String
          - **Payout_process_payload**:
            - Description: Note: This field is optional and should not be used to drive any internal logic.
            - Tags: JSON, Optional
        - Tags: String
    - Tags: String
  - **Amount**:
    - Description: Fulfillment amount passed by the merchant
    - Tags: String
  - **AdditionalInfo**:
    - Description: Additional information included by merchant in create order request
    - Value:
      - **PayoutLinkClientId**:
        - Description: PaymentPage corresponding client-id
        - Tags: String
      - **PayoutLinkStatusHistory**:
        - Description: status history of the payout_link lifecycle
        - Tags: array
      - **WebhookDetails**:
        - Description: webhook endpoint url passed by merchant in order create request
        - Value:
          - **Url**:
            - Description: url to which the webhook notifications should be sent for the particular order
            - Tags: String
          - **Username**:
            - Tags: String
          - **Password**:
            - Tags: String
        - Tags: String
      - **Remark**:
        - Description: ex: Payout Transaction
        - Tags: String
    - Tags: String
  - **ReadyForSubmit**:
    - Description: payout_link status for submitting beneficiary details
    - Tags: Boolean
- Tags: Object

#### type:
- Value:  FULFILL_ONLY
- Tags: String

#### amount:
- Description: Total amount of the order
- Tags: String

#### customerId:
- Description: customer_id passed by the merchant
- Tags: String


---

## See Also

- [Order Create [Encrypted]](https://juspay.io/in/docs/api-reference/docs/payout/order-create-encrypted)
- [Attempted API [Encrypted]](https://juspay.io/in/docs/api-reference/docs/payout/attempted-api-encrypted)
